Subject: bug#40118: 27.0.90; Signing emails with gpg

From: Robert Pluim <[email-masked]>
Date: Tue, 05 May 2020 14:46:10 +0200

>>>>> On Fri, 01 May 2020 00:03:03 +0200, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Robert Pluim <[email-masked]> writes:
    >> I donʼt think itʼs correct: previous to this change, telling gnus to
    >> sign an email would result in gpg using your default key, which in 99%
    >> of the cases is the right thing to do. The 1% know how to override it.

    Lars> Oh, right.  That reminds me of why I added that -- Gnus would just bug
    Lars> out later (on my setup) without it.  Apparently I don't have a default
    Lars> key?

Or you have more than one key, and you haven't told gpg which one is
preferred.

    Lars> But if what you say is the case, then removing the error-out sounds like
    Lars> the thing to do in emacs-27, and then work more on this on master.

We can do that as well, and put the querying code in master. Eli?

Robert